package com.jiuqi.util.comparator;

import java.util.Comparator;

/* loaded from: com_jiuqi_util_comparator.jar:com/jiuqi/util/comparator/IntegerComparator.class */
public final class IntegerComparator implements Comparator {
    private boolean isDescOrder;

    public IntegerComparator() {
    }

    public IntegerComparator(boolean isDescOrder) {
        this.isDescOrder = isDescOrder;
    }

    @Override // java.util.Comparator
    public int compare(Object o1, Object o2) {
        int ret;
        if (o1 == o2) {
            return 0;
        }
        if (o1 == null) {
            ret = -1;
        } else if (o2 == null) {
            ret = 1;
        } else {
            ret = ((Integer) o1).compareTo((Integer) o2);
        }
        return this.isDescOrder ? -ret : ret;
    }

    @Override // java.util.Comparator
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return this != null && obj != null && (obj instanceof IntegerComparator) && this.isDescOrder == ((IntegerComparator) obj).isDescOrder;
    }

    public String toString() {
        return "[整数比较器, " + (this.isDescOrder ? "降序]" : "升序]");
    }

    public boolean isDescOrder() {
        return this.isDescOrder;
    }

    public void setDescOrder(boolean isDescOrder) {
        this.isDescOrder = isDescOrder;
    }
}
